PROCEDURE help
PRIVATE help_file, cur_buff

***
*  DO help WITH [<expC>]
*  Copyright (c) 1992 Performance Dynamics Associates
*  Stripped down version of Power Tools Help System
***

help_dbf = iif(pcount() = 0, 'PT_HELP', help_dbf)
cur_buff = alias()            &&  name of current dbf

IF select('help') = 0         &&  file not open
  USE pt_help ALIAS help      &&  use our help file
ELSE                          &&  file is already open
  SELECT help                 &&  alias name
ENDIF

IF isblank(mdx(1))            &&  if no structural index file
  INDEX ON proc_name + vari_name + menu_name + popup_name + ;
           menu_value TAG help
ENDIF

SET ORDER TO TAG help

IF isblank(cur_buff)          &&  started on an open buffer
  SELECT select()             &&  end on an open buffer
ELSE
  SELECT (cur_buff)
ENDIF

***  now activate the help key

ON KEY LABEL F1 DO pt_help WITH program()

RETURN
